Generic Image Library: packed_dynamic_channel_reference< BitField, NumBits, true > Class Template Reference

###  | #  |

Public Types | Public Member Functions | Friends | List of all members
packed_dynamic_channel_reference< BitField, NumBits, true > Class Template Reference
Channel » Models » packed_dynamic_channel_reference

Models a mutable subbyte channel reference whose bit offset is a runtime parameter. Models ChannelConcept Same as packed_channel_reference, except that the offset is a runtime parameter. More...

`#include <channel.hpp>`

Inherits packed_channel_reference_base< packed_dynamic_channel_reference< BitField, NumBits, true >, BitField, NumBits, true >.

## Public Types
using | const_reference = packed_dynamic_channel_reference< BitField, NumBits, false > const
using | mutable_reference = packed_dynamic_channel_reference< BitField, NumBits, true > const
using | integer_t = typename parent_t::integer_t

## Public Member Functions
| packed_dynamic_channel_reference (void *data_ptr, unsigned first_bit)
| packed_dynamic_channel_reference (packed_dynamic_channel_reference const &ref)
auto | operator= (integer_t value) const -> packed_dynamic_channel_reference const &
auto | operator= (mutable_reference const &ref) const -> packed_dynamic_channel_reference const &
auto | operator= (const_reference const &ref) const -> packed_dynamic_channel_reference const &
template<typename BitField1 , int FirstBit1, bool Mutable1>
auto | operator= (packed_channel_reference< BitField1, FirstBit1, NumBits, Mutable1 > const &ref) const -> packed_dynamic_channel_reference const &
auto | first_bit () const -> unsigned int
auto | get () const -> integer_t
void | set_unsafe (integer_t value) const

## Friends
class | packed_dynamic_channel_reference< BitField, NumBits, false >

## Detailed Description

template<typename BitField, int NumBits>
class boost::gil::packed_dynamic_channel_reference< BitField, NumBits, true >

Models a mutable subbyte channel reference whose bit offset is a runtime parameter. Models ChannelConcept Same as packed_channel_reference, except that the offset is a runtime parameter.

The documentation for this class was generated from the following file:

- channel.hpp